Subject: [EToSat] Notes and summary of SATCOM side meeting at IETF111

From: Kuhn Nicolas <[email-masked]>
Date: Thu, 29 Jul 2021 23:18:18 +0000

Hello everyone,

Thank you to those who could make it in time for participating to the SATCOM side meeting.
In this email, there is a very accurate summary from Colin (thanks!), polished notes from the comid (thanks to those who contributed to it – and in particular to Spencer from setting it up and contributing to it!) and the jitsi-chat.
Please let us know if anything does not reflect what you wanted to say.

It was also pointed out that etosat mailing list can be used to advertise SATCOM related presentations / meetings before the next IETF.
This would be useful to those who want to hear who is involved in this challenging topic and their contributions !
As a first step, the list can be used for synchronize SATCOM related efforts in IETF.

Thank you all for the very interesting discussion !

Nico – on the behalf of the co-organizer

======================
Summary from Colin

A side meeting on satellite networking was organised by Nicolas Kuhn, Gorry Fairhurst, and Debopam Bhattacherjee and attended by around 40 people. Nicolas briefly reviewed some of the history of prior IETF work in the area, and noted that there is ongoing work in IETF and IRTF on this topic. Most of the one-hour meeting slot was then filled with open discussion on the issues and possible work. The main technical areas were on the differences in behaviour between the massive constellations of low Earth orbit satellites that are now being deployed and geostationary satellites, considering especially the impact on transport and routing. It was noted that there’s a spectrum of behaviours and link characteristics, ranging from cellular network to aerial networks to satellite networks, with somewhat overlapping issues to consider.

The discussion converged on knowledge sharing and gaining experience as the main areas where a new group may be useful, with some caveats that NDAs may be a problem with knowledge sharing. RFC 2488 and the outputs of the PILC working group were cited as useful prior work.

Transport issues seem more accessible for a new group than routing issues, unless there is participation from satellite network operators. It’s not clear that an IETF or IRTF group can usefully develop routing protocols without involvement of network operators; it may be possible to do useful transport protocol work without such involvement.

There is parallel activity in 3GPP that it would be useful to understand. There’s also considerable prior work with satellite networks, and current work being presented in IETF and IRTF groups later this week.

It seems that it would be useful to organise a tutorial/deep dive at IETF 112, to help understand what is known about this topic, what open problems exist, and what topics are being addressed by other organisations. That will help decide whether it makes sense to charter new work as an IRTF RG, an IETF WG in the style of PILC or TCPSAT, or whether the work should continue in existing venues with an informal group coordinating IETF-related activities in side meetings. A follow-up discussion, with a small group of key participants, to begin to organise and plan this would seem warranted.
======================
Notes from COMID

SATCOM Activities within the IETF and IRTF

[reference link]

Open Side Meeting happening at https://meet.jit.si/SideMeetingSATCOM-IETF-IRTF

Attendees (40 people online)
* Nicolas Kuhn
* Gorry Fairhurst
* Carsten Bormann
* Christian Amsüss
* Spencer Dawkins
* Debopam Bhattacherjee
* Colin Perkins
* Magnus Westerlund
* Aaron Falk (Akamai)
* John Border
* Francois Ortolan
* Marie-José Montpetit
* Tony Li (Arista Networks)
* Joerg Deutschmann
* Sebastian Endres (FAU)
* Christian Huitema (Private Octopus Inc.)
* Mike Kosek (TUM)
* Wes Eddy (MTI Systems)
* Lin Han (Futurewei Technologies, Inc.)
* chi-jiun su
* Stewart Bryant (University of Surrey)
* Zongpeng Du（China Mobile）
* Peng Liu(China Mobile)
* Hesham ElBakoury
David Millman

see the IETF Note Well

Goals: See who is involved, who wants to be involved, provide opportunity to join the activities.

Slides: https://filesender.renater.fr/?s=download&token=d683da8b-1b7b-4378-ae1a-415b21a131d2 (to also be shared on mailing list later, please fill in link to archival address when sent)

* Is this research, engineering, or both?
    * Based on Aaron and Gorry comments, the description work could easily be in the IRTF.
    * Once we have agreed on the problems, we'll know where to do the solution work - in the IRTF, in existing IETF working groups, or
* Can we identify specific issues? Likely easier to charter
    * Spencer pointed out that how PILC was chartered - proposed as "TCP over cellular", but ADs didn't want multiple "TCP over FOO" working groups
* Do we need liaison activities to other SDOs and industry bodies? That requires IETF involvement
    * Aaron said TCPSAT was chartered because there wasn't much mutual understanding between the industry and the IETF
* Aaron described some of the early history of TCPSAT
    * The satellite ecosystem has changed massively during the time since TCPSAT - not only bandwidth, but variations such as LEO and MEO
    * Aaron also suggested that the best way to influence the IETF would e to send people to participate in a WG.
    * There's likely also benefit though in making a list about the types of systems that exist and the implications. This doesn't necessarily need a WG.
    * Marie-Jose Montpetit - worked with teledesic (LEO) and hundreds of satellites with OBP. There was a lot of work in routing and transport to make TCP work. I suggest a lot of the teledesic patents haves expired, and these might be relevant to new LEO constellations.
        * (Aaron posted https://patents.justia.com/assignee/teledesic-corporation in the chat)
        * Marie-Jose clarified in chat that she didn't mean we would discuss the validity of patents, only that people probably want to be aware of them as we discuss
    * There is value in integrating the new satellites as a part of the Internet.

* Wes Eddy: Which operators are asking us for standards?
    * Nobody I know of - standardization is probably premature.
    * Working on interfacing 3GPP control framework over non-terrestrial links and 5G NR air interface. Many satellite services will probably be 5G by the time we could possibly do standards work in the IETF.
    * TIP NTCS: https://telecominfraproject.com/ntcs/

* Christian Huitema: There is a lot of history dealing with High BDP; if the link characteristics for LEO is new there may be value in documenting these.

* Lin Han: Terminals accessing multiple satellites and networking between satellites and ground stations bring many challenges, this would benefit from a separate working group.
The mobility, routing and other issues are very specific to satellite. It may have big difference with the current technologies.
I have a draft for such challenges: https://datatracker.ietf.org/doc/draft-lhan-problems-requirements-satellite-net/.

* Julien: question for Aaron about how to describe satellite characteristics.
    * Documentation is valuable, and if characteristics have changed, we can base simulations and analysis on that documentation
    * Without that, it will be difficult to get the IETF to focus - just because some technology characteristics have changed, doesn't mean the IETF thinks that the Internet has changed.
    * Gorry asked about whether people can talk about their systems, or whether they are bound by NDAs. He would like to see a document that helps tell people about how to simulate/mode/evaluate. Spencer sighed, but he was muted.

* Nicolas : There is an incredible variability in SATCOM systems even within LEO system. Radio resource managements are specific to each system and this may be hard to capture in a document. We need the right people involved in the activity.

* Debopam: High dynamicity + predictable trajectories in LEO. Both loss-based and delay-based congestion control suffers due to the dynamicity. Interesting routing+TE problems in simulation. There are cross-layer issues that may be easier to document in the IRTF.

* Nicolas: Lots of work can be pushed in existing RG and it is important to assess whether the work we want to push can not be pushed in existing RG/WG. We may not want to have a group of satellite people talking to each other without interactions with the rests of the RG/WG.

* Christian: there is a continuum of characteristics that give you a continuum of problems. We see LTE, UAV, LEO etc. systems with different link characteristics. A research group is the right way to describe them.

* Colin: how open am I to a Satellite-specific RG, as opposed to PANRG or other existing RG?
    * That seems like a body of work that has potential
    * Colin: want to talk to existing RG chairs, and see the relevant topics
    * Transport issues are more opened than routing work we need operators view. Does this fit in PANRG ?
    * Spencer: can we make a decision about venues this week, or is that an IETF 112 conversation?
    * Colin: https://www.ietf.org/mailman/listinfo/etosat is as good a place as anyplace, and it already exists

* Marie-Jose suggested giving a tutorial on satellites at IETF 112
    * Aaron liked that plan

* Tianji mentioned the 5GN NTN work on Satellites

======================
Notes from the chat

Spencer Dawkins says:IIRC, the chat in Jitsi isn't persistent. Gorry, would it make sense to use the TSVWG jabber room?
Spencer Dawkins says:Also, I said "I'm turning my camera off because I'm eating peanut butter and crackers", but I didn't mute my MIKE - sorry!
Oscar Garcia IPNSIG says:hello all Oscar Garcia IPNSIG
Spencer Dawkins says:
https://codimd.ietf.org/notes-ietf-111-SATCOM-side-meeting
Christian Amsüss says:Whoever is not talking please mute themselves, there is some echo around.
Julien Maisonneuve (Nokia) says:Are slides available somewhere ? tnx
Stewart Bryant says:are there. slides being displayed?
Carsten Bormann says:Yes.
Christian Amsüss says:Stewart: They're displayed from Nicolas' stream.
Christian Amsüss says:You can click the four-squares icon on the lower bar, and then the screen that displays the slides in a small view.
Julien Maisonneuve (Nokia) says:Jitsi doesn't seem to indicate who is talking
Carsten Bormann says:Look at the blue dots
Carsten Bormann says:to the left of the image
Carsten Bormann says:Useless for a 39-people gallery though
Stewart Bryant says:I can get slides on chrome but not on safari
Christian Huitema says:+1 Aaron. Lots of value in publishing link characteristics, so various teams can test protocols
Marie-José says:I agree with Aaron
Stewart Bryant says:Are we assuming that sat nets are an opaque tarnsport and we are running apps ove rthe transport, or are we interested in addressing the rather interesting underlying network layer problems?
Nicolas K says:
https://filesender.renater.fr/?s=download&token=d683da8b-1b7b-4378-ae1a-415b21a131d2
John Border says:A document will be useful but does not need to be linked to a working group or research group.  Attending the right meetings is definitely the way to go.
Nicolas K says:for those who cannot see the slides - they will be shared in a proper manner later
Nicolas K says:i was born !
Spencer Dawkins says:I'm gonna unmute to laugh when someone says something hilarios, but I'll mute after that each time ...
Colin Perkins says:They raised hands are hard to see. Would it make sense to run the queue via the chat?
Nicolas K says:+1
Aaron Falk says:👍
Nicolas K says:I could not see the hands
Wesley Eddy says:which operators are asking us for standards?
Christian Huitema says:+q
Aaron Falk says:
https://patents.justia.com/assignee/teledesic-corporation
Lin Han says:+q
Marie-José says:Thanks
Marie-José says:7km/s if I remember
Spencer Dawkins says:Also - a few of us are typing in
https://codimd.ietf.org/notes-ietf-111-SATCOM-side-meeting?edit
, but you might want to edit anything that you say, and that we get wrong in the notes.
Stewart Bryant says:Note that most of us are not qualified to express an opinion on a patent and IETF does not discuss patents
Hesham ElBakoury says:+q
Christian Huitema says:How do we see who is speaking?
Carsten Bormann says:Blue dots
Carsten Bormann says:in gallery view
Marie-José says:I am not suggesting to discuss patent just to look what is useful there and not reinvent
Nicolas K says:+Q
Marie-José says:Look at Teledesic and a lot of related published work from 20 years ago including a special issue of IEEE Comm Mag
Marie-José says:All the LEO is there
Stewart Bryant says:.. just like a 5G system?
Marie-José says:+1
gf says:+q
gf says:+q
Marie-José says:UAV also?
Debopam says:+q
Christian Huitema says:+1
Aaron Falk says:@MJ: not just UAV but any aircraft
Wesley Eddy says:+q
Wesley Eddy says:+1 to Gorry's points about NDAs preventing some knowledge sharing in this area
Christian Huitema says:NDA do not prevent outsiders from documenting their experience
Aaron Falk says:....for existing systems
Aaron Falk says:(not planned)
Wesley Eddy says:yes but if you want to know how the routing works, we can't tell you 😃
Christian Huitema says:Well, we do have existing systems -- at least SpaceX, Iridium, other commercial offers.
Aaron Falk says:we as IETF/IRTF can't but as individuals we can (for a fee).  Teledesic hired a lot of folks with that expertise.  Getting changes made requires opening the kimono tho.
Christian Huitema says:+1 to not being too specific. There should be some kind of continuum between cellular, ballons, uav, leo...
Stewart Bryant says:A problem with working on digital satellites is that it is IATA controlled
Marie-José says:Yes to the continuum
Christian Huitema says:+q
Stewart Bryant says:I aggree there are very interesting routing and TE problems to solve
Marie-José says:I did not suggest a RG
Nicolas K says:+1 to link layer - this has major impacts on transport in SATCOM
Marie-José says:I think there is a lot that already exists
Nicolas K says:+1 : lots of work laready exist
Stewart Bryant says:IETF does not have a good place to discuss futures that are neither research or engineering
Lin Han says:+q
Marie-José says:There could be some informational work
Stewart Bryant says:I cannot speak - techical problems with this conferencing platorm
Nicolas K says:I hope that you could express your views in the chat - sorry for that
Wesley Eddy says:+1 agree w/ Christian
Marie-José says:what would be the charter of such a RG? who does the research? do we need a RG to update what we know about the current systems?
gf says:Notes are here:
gf says:
https://codimd.ietf.org/notes-ietf-111-SATCOM-side-meeting?edit
Lin Han says:Separate RG is good for people to talk about the same topic. go to other group may dilute the interests
Marie-José says:you can hold cross RG meetings
Aaron Falk says:@Colin: can you address how open you'd be to an RG that focused on describing satellite / aero network characteristics?
Wesley Eddy says:I would view RG as forum for sharing progress of shared interest in the area; similar to ICCRG as an example.
Lin Han says:If other RG includes such work into its agenda,
Colin Perkins says:+q
Rob Hamilton says:👍
Carsten Bormann says:A RG is a group of people who want to talk about the same (or related) things.
Marie-José says:I would say more than talk but OK
Carsten Bormann says:Offloading something to an RG that mostly has people who don't care is unproductive.
John Border says:I assume IRTF RG charters are more flexible.  So, PANRG is fine as long as the chairs agree.  A separate RG is also fine as long as we can get some focus.
Marie-José says:we could organize a tutorial for the next IETF?
Aaron Falk says:+1 to tutorial
Christian Amsüss says:Marie-José, that'd be great!
John Border says:To Carsten's point, the current PANRG participants might now match this discussion.
John Border says:A tutorial would be a good way to test if we have enough people willing to do work.
Oscar Garcia IPNSIG says:I am interested in that work John
Hesham ElBakoury says:please add my name to the attendee list
Debopam says:done
John Border says:I am OK with it.
Aaron Falk says:A Satellite Directorate?
John Border says:Will you be the AD?
Aaron Falk says:<cough!>
Oscar Garcia IPNSIG says:John Border
John Border says:I am OK with it.
Carsten Bormann says:A directorate is attached to an existing AD
Aaron Falk says:+q
Oscar Garcia IPNSIG says:great discussion do you have a mailing list?
Marie-José says:+q
Spencer Dawkins says:So everybody click on
https://www.ietf.org/mailman/listinfo/etosat
, unless you've already subscribed
Oscar Garcia IPNSIG says:thank you Spencer!
gf says:We're almost at the end of the slot now...
Spencer Dawkins says:Marie-Jose, do you want to coordinate the tutorial participants on EtoSat, or have people contact you privately?
Carsten Bormann says:Yep, multicast side meeting next, which is germaine...
Spencer Dawkins says:Gorry, can we include this chat in the notes?
Mirja says:this sounds more like a deep-dive thing (tutorials are usually about existing IETF work)
John Border says:A giant cut and paste?
gf says:will try... I've captured it.
Oscar Garcia IPNSIG says:what is your contact media MJ?
Mirja says:which quantum talk (where)?
Marie-José says:there was a quantum talk maybe in Bangkok
John Border says:Was at the first QIRG meeting.
Oscar Garcia IPNSIG says:Maria José how to contact you?
Marie-José says:Oscar: I am on the IRTF COIN
Mirja says:so at the rg meeting itself (not a tutorial)?
Marie-José says:a tutorial aside from the RG meeting